Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235652 - gedit crash as user: file gutf8.c: line 1537 (g_utf8_validate): assertion `str != NULL` failed
Summary: gedit crash as user: file gutf8.c: line 1537 (g_utf8_validate): assertion `st...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gedit
Version: 4.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 09:14 UTC by Marek Mahut
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-31 01:09:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
strace of gedit crash under normal user (deleted)
2007-04-09 09:17 UTC, Marek Mahut
no flags Details
normal gedit situation under root (deleted)
2007-04-09 09:18 UTC, Marek Mahut
no flags Details

Description Marek Mahut 2007-04-09 09:14:42 UTC
Description of problem:

On one of customer's system, gedit crash (segfault) with message "gedit crash:
file gutf8.c: line 1537 (g_utf8_validate): assertion `str != NULL` failed" on
console.

Version-Release number of selected component (if applicable):

gedit-2.8.1-4
glibc-2.3.4-2.25

How reproducible:

Everytme.

Steps to Reproduce:
1. Open gedit (as user, it works under root)
2. Gedit segfaults.

  
Actual results:

Gedit crash.

Expected results:

Gedit opens a file and customer is happy.

Additional info:

Will attach it in next post.

Comment 1 Marek Mahut 2007-04-09 09:17:30 UTC
Created attachment 151949 [details]
strace of gedit crash under normal user

Comment 2 Marek Mahut 2007-04-09 09:18:15 UTC
Created attachment 151950 [details]
normal gedit situation under root

Comment 5 Ray Strode [halfline] 2007-05-31 01:09:20 UTC
If it happens again, please reopen.


Note You need to log in before you can comment on or make changes to this bug.